summaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorKyle Guinn <elyk03@gmail.com>2010-05-11 15:18:43 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:43 +0200
commitda67c8d8935dbd6f7919a73d107f6463c1b1a3b9 (patch)
tree7e3b60622e62bf8c1cb363e29f8eeeb340edd288 /system
parentbae18fdb80148edcdae1b2576e950bd40bcbea4d (diff)
downloadslackbuilds-da67c8d8935dbd6f7919a73d107f6463c1b1a3b9.tar.gz
system/powertop: Initial import
Diffstat (limited to 'system')
-rw-r--r--system/powertop/README5
-rw-r--r--system/powertop/powertop.SlackBuild52
-rw-r--r--system/powertop/powertop.info8
-rw-r--r--system/powertop/slack-desc11
4 files changed, 76 insertions, 0 deletions
diff --git a/system/powertop/README b/system/powertop/README
new file mode 100644
index 0000000000..38f0fd1dc5
--- /dev/null
+++ b/system/powertop/README
@@ -0,0 +1,5 @@
+PowerTOP is a Linux tool that finds the software component(s) that make your
+laptop use more power than necessary while it is idle. As of Linux kernel
+version 2.6.21, the kernel no longer has a fixed 1000Hz timer tick. This will
+(in theory) give a huge power savings because the CPU stays in low power mode
+for longer periods of time during system idle.
diff --git a/system/powertop/powertop.SlackBuild b/system/powertop/powertop.SlackBuild
new file mode 100644
index 0000000000..5a71e4707a
--- /dev/null
+++ b/system/powertop/powertop.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for powertop
+# Written by Kyle Guinn <elyk03@gmail.com>
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=powertop
+VERSION=1.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+# Strip the binary
+strip --strip-unneeded $PKG/usr/bin/powertop
+
+# The makefile does not install the man page. We do that here.
+mkdir -p $PKG/usr/man/man1
+cat powertop.1 | gzip -9c > $PKG/usr/man/man1/powertop.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING Changelog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/powertop/powertop.info b/system/powertop/powertop.info
new file mode 100644
index 0000000000..356bd150d5
--- /dev/null
+++ b/system/powertop/powertop.info
@@ -0,0 +1,8 @@
+PRGNAM="powertop"
+VERSION="1.2"
+HOMEPAGE="http://www.linuxpowertop.org"
+DOWNLOAD="http://www.linuxpowertop.org/download/powertop-1.2.tar.gz"
+MD5SUM="fa18e6115e75417bf94ca38021f8959d"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="rworkman"
diff --git a/system/powertop/slack-desc b/system/powertop/slack-desc
new file mode 100644
index 0000000000..55696cc6b9
--- /dev/null
+++ b/system/powertop/slack-desc
@@ -0,0 +1,11 @@
+powertop: PowerTOP
+powertop:
+powertop: PowerTOP is a Linux tool that finds the software component(s)
+powertop: that make your laptop use more power than necessary while it
+powertop: is idle. As of Linux kernel version 2.6.21, the kernel no
+powertop: longer has a fixed 1000Hz timer tick. This will (in theory)
+powertop: give a huge power savings because the CPU stays in low power
+powertop: mode for longer periods of time during system idle.
+powertop:
+powertop:
+powertop: